<app-buscador-carrito></app-buscador-carrito>
<h3 class="h-shadow">¡Compra los mejores productos de nuestras emprendedoras!</h3>
<!-- Contenedor para la lista de productos -->
<div class="contenedor-productos-filtro">
  <div class="filtros-productos">
    <p-accordion [multiple]="true" [activeIndex]="[0, 1, 2]">
      <p-accordionTab header="Nombre del producto">
        <div class="buscador">
          <input type="text" class="inpt_secon" name="nombreProducto" placeholder="Nombre..." [(ngModel)]="nombreProd"
            (keyup)="agregarFiltroNombre(nombreProducto.value)" #nombreProducto>
          <i class="uil uil-search"></i>
        </div>
      </p-accordionTab>

      <p-accordionTab header="Rango de precio (Bs)">
        <div class="precio">
          <label for="min" class="label-fw500">Precio mínimo</label>
          <p-inputNumber [min]="0" [(ngModel)]="minPrecio" [showButtons]="true" inputId="min" mode="currency"
            currency="BOB" name="minPrecio" (onInput)="agregarFiltroPrecio()"></p-inputNumber>

          <p-divider></p-divider>

          <label for="max" class="label-fw500">Precio máximo</label>
          <p-inputNumber [min]="0" [(ngModel)]="maxPrecio" [showButtons]="true" inputId="max" mode="currency"
            currency="BOB" name="maxPrecio" (onInput)="agregarFiltroPrecio()"></p-inputNumber>
        </div>
      </p-accordionTab>

      <p-accordionTab header="Categoría del producto" *ngIf="checkboxCategorias.length > 0 && !categoriaParametro">
        <div class="categoria">
          <div *ngFor="let checkbox of checkboxCategorias">
            <p-checkbox name="grupoCategoria" [(ngModel)]="checkbox.seleccionado" value="checkbox.idCategoria"
              label="{{ checkbox.label }}" (onChange)="agregarFiltroCategoria(checkbox.label)"></p-checkbox>
          </div>
        </div>
      </p-accordionTab>
    </p-accordion>
  </div>

  <div class="lista-productos-filtros">
    <div class="filtros-activos">
      <div class="chips">
        <p-chip *ngFor="let filtro of filtros" label="{{ filtro.nombre }} {{ filtro.valor }}" [removable]="true"
          (onRemove)="restablecerFiltro(filtro.valor)" />

        <button class="btn btn-primary-1" (click)="limpiarFiltros()" [disabled]="filtros.length === 0 ? true : false"
          title="Limpiar filtros" [ngClass]="{'btn-disabled': filtros.length === 0 ? true : false}">Limpiar
          filtros</button>
      </div>

      <div class="resultados">
        <span>Resultados encontrados: <strong>{{ productos.length }}</strong></span>
        <i class="uil uil-filter">
          <p-dropdown [options]="ordenDropdown" [(ngModel)]="opcionSeleccionada" (onChange)="ordenarProductos()"
            placeholder="Ordenar por"></p-dropdown>
        </i>
      </div>
    </div>

    <div class="productos">
      <app-tarjeta-producto *ngFor="let producto of productos" (enviarDatos)="recibirDatos($event)"
        [producto]="producto"></app-tarjeta-producto>
    </div>
  </div>
</div>

<app-tarjeta-informacion [datos]="{id: dialogId, show: mostrarDialogDetalle, isProduct: isProduct}"
  (cerrarDialogInformacion)="mostrarDialogDetalle = false"></app-tarjeta-informacion>
